Summary: Home finances modeling program
Name: expendable
Version: 0.0.10
Release: 5%{?dist}
License: GPLv2+
Group: Applications/Productivity
URL: https://fedorahosted.org/expendable/
# Add "?format=raw" to the following URL to download file:
Source0: https://fedorahosted.org/releases/e/x/expendable/%{name}-%{version}.tar.xz
Patch1: expendable-not-mounted.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python
BuildRequires: desktop-file-utils >= 0.2.92
BuildRequires: gettext-devel, intltool
BuildRequires: GConf2
Requires: pygtk2
Requires: gnome-python2-gconf
Requires: numpy

%description
This is a program for modelling home finances. In particular, it can
be used to work how long it will take to pay back a mortgage if a
linked "offset" facility is available.  Offset accounts are like
savings accounts, but instead of accruing interest they reduce the
amount of interest charged for the mortgage by offsetting the loan
amount.

%prep
%setup -q
%patch1 -p1 -b .not-mounted

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	--add-category GTK				\
	--add-category Office				\
	--add-category Finance				\
	%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING
%config %{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/*.desktop

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr  2 2015 Tim Waugh <twaugh@redhat.com> - 0.0.10-2
- Don't exit with traceback when location not mounted.

* Tue Mar 31 2015 Tim Waugh <twaugh@redhat.com> - 0.0.10-1
- 0.0.10.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 08 2013 Jon Ciesla <limburgher@gmail.com> - 0.0.9-8
- Drop desktop vendor tag.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.0.9-3
- recompiling .py files against Python 2.7 (rhbz#623294)

* Wed Jan  6 2010 Tim Waugh <twaugh@redhat.com> 0.0.9-2
- Fixed save-on-exit (bug #551337).

* Mon Oct 12 2009 Tim Waugh <twaugh@redhat.com> 0.0.9-1
- 0.0.9.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan  4 2009 Tim Waugh <twaugh@redhat.com> 0.0.8-1
- 0.0.8.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.0.7-2
- Rebuild for Python 2.6

* Tue Nov 11 2008 Tim Waugh <twaugh@redhat.com> 0.0.7-1
- 0.0.7.

* Tue Oct 14 2008 Tim Waugh <twaugh@redhat.com> 0.0.6-1
- 0.0.6.

* Mon Oct  6 2008 Tim Waugh <twaugh@redhat.com> 0.0.5-1
- 0.0.5.

* Sun Oct  5 2008 Tim Waugh <twaugh@redhat.com> 0.0.4-2
- 0.0.4.  No longer need packing patch.

* Thu Oct  2 2008 Tim Waugh <twaugh@redhat.com> 0.0.3-4
- Fixed accounts tree view packing.

* Wed Oct  1 2008 Tim Waugh <twaugh@redhat.com> 0.0.3-3
- 0.0.3.
- Don't run 'make check' as it requires an X display.
- Requires pygtk2.

* Mon Sep 29 2008 Tim Waugh <twaugh@redhat.com> 0.0.2-4
- Use dist in release tag.

* Sun Sep 28 2008 Tim Waugh <twaugh@redhat.com> 0.0.2-2
- Re-install desktop file with fedora as the vendor.

* Fri Sep 26 2008 Tim Waugh <twaugh@redhat.com> 0.0.2-1
- Initial spec file.
